Skip to main content
Astra Automation
본 한국어 번역은 사용자 편의를 위해 제공되는 기계 번역입니다. 영어 버전과 한국어 버전이 서로 어긋나는 경우에는 언제나 영어 버전이 우선합니다.

관리형 클러스터의 K8s API 리소스 목록을 표시합니다

GET /accounts/{account_id}/topology/v1/managedClusters/{managedCluster_id}/apiResources

컬렉션에서 일치하는 모든 리소스를 JSON 배열로 반환합니다. 요청에 개별 필드가 지정된 경우, items JSON 배열에는 지정된 순서대로 각 일치하는 리소스에 대해 요청된 필드가 포함됩니다.

매개변수

이름 유형 에서 필수 요소입니다 설명

account_id

문자열

경로

포함하는 계정 리소스의 ID

  • 예: {{.Account}}

managedCluster_id

문자열

경로

포함된 managedCluster 리소스의 ID

포함

문자열

쿼리

거짓

컬렉션 목록을 표시할 때 어떤 필드를 반환해야 하는지 지정합니다.

URL 예: "include=id", "include=id,name"

OpenAPI 예: "id"

  • 예시: id, kind, apiVersion

제한

문자열

쿼리

거짓

컬렉션 목록을 표시할 때 반환할 최대 리소스 수를 나타냅니다.

URL 예: "limit=2"

OpenAPI 예: "2"

응답

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
이름 유형 필수 요소입니다 설명

항목

array[다음 중 하나: "apiResource_1.0_get_response_body", array[]]

메타데이터

"type_astra_메타데이터_목록"

응답 예
{
  "type": "application/astra-apiResources",
  "version": "1.0",
  "items": [
    [
      "e280ff62-be35-4f31-a31b-a210a1ad1b33",
      "ClusterRole",
      "rbac.authorization.k8s.io/v1"
    ],
    [
      "e8507dad-d33f-44b3-9c15-ec55ba6f6473",
      "ClusterRoleBinding",
      "rbac.authorization.k8s.io/v1"
    ]
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

응답

Status: 401, Unauthorized
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

응답 예
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

응답

Status: 400, Bad request
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

invalidParams

배열["invalidParams"]

거짓

유효하지 않은 쿼리 매개변수 목록

응답 예
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

응답

Status: 403, Forbidden
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

응답 예
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

오류

Status: 404, Not found
이름 유형 필수 요소입니다 설명

유형

문자열

제목

문자열

세부 정보

문자열

상태

문자열

correlationID

문자열

거짓

예시 오류 응답
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

정의

정의를 참조하세요

type_astra_label

이름 유형 필수 요소입니다 설명

이름

문자열

문자열

type_astra_메타데이터

리소스와 연결된 클라이언트 및 서비스 지정 메타데이터입니다. 정의된 값은 다음과 같습니다.

  • Astra 메타데이터 스키마를 준수합니다.

이름 유형 필수 요소입니다 설명

라벨

배열["type_astra_label"]

CreationTimestamp 를 클릭합니다

문자열

modificationTimestamp

문자열

생성 시

문자열

modifiedBy

문자열

거짓

apiResource_1.0_get_response_body

이름 유형 필수 요소입니다 설명

유형

문자열

리소스의 미디어 유형입니다. 정의된 값은 다음과 같습니다.

  • "application/astra-apiResource"

버전

문자열

리소스 버전입니다. 정의된 값은 다음과 같습니다.

  • "1.0"

ID입니다

문자열

리소스의 전역 고유 식별자입니다. 정의된 값은 다음과 같습니다.

  • UUIDv4 스키마를 준수합니다.

apiVersion

문자열

Kubernetes에서 설정하거나 Kubernetes에 의해 설정된 리소스의 API 버전을 나타내는 JSON 문자열입니다. APIVersion은 이 객체 표현에 대한 버전 스키마를 정의합니다. 서버는 인식된 스키마를 최신 내부 값으로 변환해야 하며, 인식되지 않는 값은 거부할 수 있습니다. 자세한 정보: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

종류

문자열

Kubernetes에서 설정하거나 Kubernetes에 의해 설정된 리소스 종류를 나타내는 JSON 문자열입니다. kind 필드는 카멜 케이스를 사용하며, 이 객체가 나타내는 REST 리소스를 나타내는 문자열 값을 포함합니다. 서버는 클라이언트가 요청을 제출하는 엔드포인트에서 이 값을 추론할 수 있습니다. 이 필드는 업데이트할 수 없습니다. 자세한 정보: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

메타데이터

"type_astra_메타데이터"

리소스와 연결된 클라이언트 및 서비스 지정 메타데이터입니다. 정의된 값은 다음과 같습니다.

  • Astra 메타데이터 스키마를 준수합니다.

type_astra_메타데이터_목록

이름 유형 필수 요소입니다 설명

계속

문자열

거짓

카운트

숫자

거짓

라벨

배열["type_astra_label"]

거짓

CreationTimestamp 를 클릭합니다

문자열

거짓

modificationTimestamp

문자열

거짓

생성 시

문자열

거짓

modifiedBy

문자열

거짓

invalidParams

이름 유형 필수 요소입니다 설명

이름

문자열

잘못된 쿼리 매개변수의 이름

이유

문자열

쿼리 매개변수가 유효하지 않은 이유